Инструменты пользователя

Инструменты сайта


doc:doclist:change_pack

Различия

Здесь показаны различия между двумя версиями данной страницы.

Ссылка на это сравнение

Предыдущая версия справа и слева Предыдущая версия
Следующая версия
Предыдущая версия
doc:doclist:change_pack [2019/03/01 12:04]
katya
doc:doclist:change_pack [2019/07/10 17:26] (текущий)
katya
Строка 5: Строка 5:
 Перед началом работы в среде программирования KEIL необходимо установить PACK. Скачивать PACK рекомендуется только с официального сайта компании "​Миландр"​ [[http://​https://​ic.milandr.ru/​upload/​iblock/​b7c/​b7cac540c48efc2c8ca688318a1ddd18.rar|pack]].  ​ Перед началом работы в среде программирования KEIL необходимо установить PACK. Скачивать PACK рекомендуется только с официального сайта компании "​Миландр"​ [[http://​https://​ic.milandr.ru/​upload/​iblock/​b7c/​b7cac540c48efc2c8ca688318a1ddd18.rar|pack]].  ​
  
-<note important>​Библиотека SPL предназначена для оказания технической помощи в освоении и демонстрации возможностей микроконтроллера и призвана ускорить процесс освоения микросхемы пользователем. Компания «Миландр» не возражает против частичного или полного использования библиотеки в проектах пользователя,​ но без каких-либо дополнительных гарантий и обязательств с нашей ​стороны по корректности библиотеки, поэтому всю полноту ответственности за конечное качество программного обеспечения несет разработчик применяющий библиотеку.</​note>​+<note important>​Библиотека SPL предназначена для оказания технической помощи в освоении и демонстрации возможностей микроконтроллера и призвана ускорить процесс освоения микросхемы пользователем. Компания «Миландр» не возражает против частичного или полного использования библиотеки в проектах пользователя,​ но без каких-либо дополнительных гарантий и обязательств со стороны ​компании "​Миландр" ​по корректности библиотеки. Поэтому всю полноту ответственности за конечное качество программного обеспечения несет разработчикприменяющий библиотеку.</​note>​
  
 Если PACK был ранее установлен (например,​ 1.4), но вышла более новая версия (1.51), то Если PACK был ранее установлен (например,​ 1.4), но вышла более новая версия (1.51), то
Строка 28: Строка 28:
  
 При переходе с версии PACK 1.5 на 1.51 (и старше) никаких дополнительных действий не требуется. ​ При переходе с версии PACK 1.5 на 1.51 (и старше) никаких дополнительных действий не требуется. ​
-Файлы, в которых были проведены изменения помечены восклицательным знаком.+Файлы, в которых были проведены измененияпомечены восклицательным знаком.
 <note warning>​Если версия PACK была ниже 1.5, то при компиляции проекта могут возникать ошибки,​ связанные с тем, что какие-то файлы не находятся. Тогда нужно зайти во вкладку Manage Run-Time Environment. Для тех компонентов,​ которые выделены красным,​ развернуть выпадающее меню и выбрать файлы (драйверы),​ соответствующие новой версии пака, переместив выделяющий маркер.</​note>  ​ <note warning>​Если версия PACK была ниже 1.5, то при компиляции проекта могут возникать ошибки,​ связанные с тем, что какие-то файлы не находятся. Тогда нужно зайти во вкладку Manage Run-Time Environment. Для тех компонентов,​ которые выделены красным,​ развернуть выпадающее меню и выбрать файлы (драйверы),​ соответствующие новой версии пака, переместив выделяющий маркер.</​note>  ​
 После скомпилировать проект еще раз. После скомпилировать проект еще раз.
doc/doclist/change_pack.1551431047.txt.gz · Последние изменения: 2019/03/01 12:04 — katya